Coin Change Problem II | Number of Ways to Produce Amount | Dynamic Programming | Geekific

Support us on Patreon: / geekific
Discord Community: / discord
GitHub Repository: github.com/geekific-official/
In the previous video of this series, we saw how we can retrieve the minimum number of coins that produces a certain amount, given different types of coins with different denominations. In this video we tackle a different aspect of this same exercise, and attempt to find the number of ways, different types of coins can produce a certain amount.
LeetCode Problems solved in this video:
- leetcode.com/problems/coin-ch...
Timestamps:
00:00 Introduction
00:19 Coin Change II Problem Definition
01:33 Dynamic Programming Solution Explained
04:05 Implementation in Java with 2D Array
05:32 Implementations in Java with 1D Array
07:49 Thanks for Watching!
If you found this video helpful, check other Geekific uploads:
- Object-Oriented Programming Fundamentals: • What is Object-Oriente...
- SOLID Principles and Best Practices: • SOLID Design Principle...
- Recursion Made Simple, Recursive Methods: • What is Recursion? | R...
- Use-Case and Sequence Diagrams: • UML Use-Case and Seque...
- Introduction to Dynamic Programming: • What Is Dynamic Progra...
- What is the Two-Pointers Technique and how to use it?: • What is the Two-Pointe...
- Trees Compared and Visualized, BST vs AVL vs RedBlack vs Splay vs Heaps: • Trees Compared and Vis...
- Generics and Wildcards in Java, Invariance vs Covariance vs Contravariance: • Generics and Wildcards...
- Two Sum Problem, from Brute Force to Optimal: • Two Sum Problem | From...
- What is a Thread? (Process, Program, Parallelism, Scheduler Explained): • What is a Thread? | Th...
- Domain-Driven Design Made Simple: • Domain-Driven Design M...
- Search In Rotated Sorted Array: • Search In Rotated Sort...
- Permutations and Combinations Explained and Implemented: • Permutations and Combi...
#Geekific #DynamicProgramming #CoinChange #CodingInteview #LeetCode #Java #Google #Amazon #Meta #Microsoft #Apple #Netflix

Пікірлер: 3

  • @GUMMALLADRONASAI-dv1jq
    @GUMMALLADRONASAI-dv1jq13 күн бұрын

    Hi, In your explanation at 5:16, you refer to a diagram where the amounts are in the columns and the coins are in the rows. However, in the code, it’s actually the opposite. While this isn’t a major error, it can cause some confusion for viewers. Despite this, both solutions are correct. That said, you are a wonderful asset to the world of Java and programming. Please consider making some videos on competitive programming as well. Thank you!

  • @ronenfe
    @ronenfe4 ай бұрын

    you didn't explain the logic of it, specifically why you are taking the previous row value for the same amount plus the value located at the same row minus the coin representing this row

  • @geekific

    @geekific

    3 ай бұрын

    Since we can't use a coin of value X to create an amount of value less than X. I thought it was obvious, will try to be more detailed int he future. Thanks for the feedback!